Bug 1704340 - OpenStack Snapshot Image Doesn't Inherit the Same Cloud Tenant as the Instance
Summary: OpenStack Snapshot Image Doesn't Inherit the Same Cloud Tenant as the Instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.9
Assignee: Sam Lucidi
QA Contact: Antonin Pagac
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1685300
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-29 15:17 UTC by Satoe Imaishi
Modified: 2019-11-12 03:44 UTC (History)
13 users (show)

Fixed In Version: 5.9.9.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1685300
Environment:
Last Closed: 2019-05-29 12:41:11 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1289 None None None 2019-05-29 12:41:20 UTC

Comment 2 CFME Bot 2019-04-29 15:21:13 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/8e00a8f4633bc7fe3433cd37f297c2ecd8307133
commit 8e00a8f4633bc7fe3433cd37f297c2ecd8307133
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Thu Apr 25 08:19:11 2019 -0400
Commit:     Marek Aufart <aufi.cz@gmail.com>
CommitDate: Thu Apr 25 08:19:11 2019 -0400

    Merge pull request #462 from mansam/overcloud-snapshot-creation

     Create instance snapshots with the owner's project scope

    (cherry picked from commit da83ccad7e4914b61a1550f056ca9818fe808b11)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1704340

 app/models/manageiq/providers/openstack/cloud_manager.rb | 15 +-
 1 file changed, 3 insertions(+), 12 deletions(-)

Comment 10 Antonin Pagac 2019-05-24 14:02:28 UTC
Appliance version 5.9.9.3.

Image is now associated with the same cloud tenant as the instance.

Comment 12 errata-xmlrpc 2019-05-29 12:41:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1289

Comment 13 Sudhir Mallamprabhakara 2019-11-12 03:44:42 UTC
Changing the test coverage to + as we have the test coverage covered in the original BZ 1685300


Note You need to log in before you can comment on or make changes to this bug.